Category: API   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  
Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The index function in the hosts controller could be changed to something like the following:

  def index

    @search = Host.search(params[:search])

    @hosts = @search.paginate :page => params[:page], :include => [:hostgroup, :domain, :operating

system, :environment]

    @via    = "fact_values_" 

    @last_reports = Report.maximum(:id, :group => :host_id, :conditions => {:host_id => @hosts})

    respond_to do |format|

        format.html

        format.yml { render :text => @search.map(&:name).to_yaml }

    end

  end

 This would output a list of hosts in simple YAML format which can be directly fed to other scripts.

This is similar to what happens in the OutofSync and Error page.

Related issues:

Related to Foreman - Refactor #288: move dashboard controller actions (beside... Closed 05/29/2010

Associated revisions

Revision a90a43fa - 11/04/2010 10:40 AM - Jochen Schalanda

Fixes #353 - Added responder for YAML output in HostsController#index

History

#1 - 07/16/2010 03:31 AM - Ohad Levy

I think it makes more sense to handle this in one common controller (e.g. get out all of the hosts actions out of the dashboard controller, then we can

unify them all to provide yaml / json output.

#2 - 11/02/2010 02:44 PM - Jochen Schalanda

- File 0001-Fixes-353-Added-responder-for-YAML-output-in-HostsCo.patch added

- Target version set to 0.2

The proposed patch adds a responder for YAML output in HostsController#index.

It also changes the JSON output to a simple array of the hosts instead of the nested hash with only one key/value-pair and makes it possible to use

the search parameter to narrow down the returned hosts.

#3 - 11/04/2010 10:47 AM - Jochen Schalanda

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100
Applied in changeset a90a43fa657846be92fc2b8aa4e50e1d22b423fe.

#4 - 11/04/2010 10:49 AM - Ohad Levy

- Category set to API

- Status changed from Ready For Testing to Closed

- Assignee set to Jochen Schalanda

- Target version changed from 0.2 to 0.1-6

Files

0001-Fixes-353-Added-responder-for-YAML-output-in-HostsCo.patch 1.3 KB 11/02/2010 Jochen Schalanda
